<!--
In this file, print the names of the people that have pets and,
as a sublist, the names of their pets.

Follow the pseudocode.

Notice that the structure of the lists is

<ul>
  <li>
    Person name
    <ul>
      <li>Pet 1 name</li>
      <li>Pet 2 name</li>
      ... more pets ...
    </ul>
  </li>
  ... more people ...
</ul>
-->
{% extends 'base.html' %}
{% load static %}
{% block title %}Problem 40{% endblock title %}
{% block content %}
  <main>
    <h1>Pet owners</h1>
    <ul>
      <!-- for each person in people -->
        {% for person in people %}
        <!-- if the person.pets list is not empty -->
            {% if person.pets.all %}
          <li>
            <!-- output the person's name -->
            {{ person.name }}
            <ul>
              <!-- for each pet name in person.pets -->
                {% for pet_name in person.pets.all %}
                <li>{{ pet_name }}</li>
              <!-- end nested for -->
                {% endfor %}
            </ul>
          </li>
        <!-- end if -->
        {% endif %}
      <!-- end outer for -->
        {% endfor %}
    </ul>
  </main>
{% endblock content %}

